<ion-content padding class="background">
  <br /> <br /> <br />
  <br /> <br /><br /> <br />
  <form [formGroup]="userFormBuilder" (ngSubmit)="login()">
    <ion-list style="background-color: transparent">
      <ion-item>
        <ion-label position="stacked">Email</ion-label>
        <ion-input type="email" formControlName="email"></ion-input>
      </ion-item>
      <ion-item class="form-error-list"
        *ngIf="!userFormBuilder.controls.email.pristine && !userFormBuilder.controls.email.valid">
        <p class="form-error" item-right
          *ngIf="!userFormBuilder.controls.email.pristine && userFormBuilder.controls.email.hasError('required')">
          Este campo es obligatorio.
        </p>
      </ion-item>
      <br /><br />
      <ion-item>
        <ion-label position="stacked">Contraseña</ion-label>
        <ion-input type="password" formControlName="password"></ion-input>
      </ion-item>
      <ion-item class="form-error-list"
        *ngIf="!userFormBuilder.controls.password.pristine && !userFormBuilder.controls.password.valid">
        <p class="form-error" item-right
          *ngIf="!userFormBuilder.controls.password.pristine && userFormBuilder.controls.password.hasError('required')">
          Este campo es obligatorio.
        </p>
      </ion-item>
    </ion-list>
    <br /><br /> <br />
    <ion-button expand="full" color="secondary" type="submit" [disabled]="!userFormBuilder.valid">Acceder</ion-button>
  </form>
  <br />
  <ion-button expand="full" (click)="signUp()">Registrarse</ion-button>
  <ion-button expand="full" (click)="resetPassword()">¿Has olvidado tu contraseña?</ion-button>
  <br />
   <br />
</ion-content>